package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Usg;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface UsgMapper {

    int insert(Usg record);

    int insertSelective(Usg record);

    int updateByPrimaryKeySelective(Usg record);

    int updateByPrimaryKey(Usg record);

    int deleteByPrimaryKey(Usg record);

    int deleteByIds(Collection<Object> collection);

    Usg selectByPrimaryKey(Usg record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Usg> dyncRead(Map<String, Object> dyncMap);

    List<Usg> getUsgByEtyextkey(String etyextkey);

}